import { Col, Row } from 'antd';
import { VmWrapper } from "../../../_components";
import ExceptionTrend from "./ExceptionTrend";
import ExceptionTypeAnalysis from "./ExceptionTypeAnalysis";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var StaticInfo = function StaticInfo(_ref) {
  var startDate = _ref.startDate,
    endDate = _ref.endDate;
  return /*#__PURE__*/_jsxs(Row, {
    gutter: [16, 16],
    style: {
      height: 300
    },
    children: [/*#__PURE__*/_jsx(Col, {
      span: 12,
      style: {
        height: '100%'
      },
      children: /*#__PURE__*/_jsx(VmWrapper, {
        title: '类型分析',
        children: /*#__PURE__*/_jsx(ExceptionTypeAnalysis, {
          startDate: startDate,
          endDate: endDate
        })
      })
    }), /*#__PURE__*/_jsx(Col, {
      span: 12,
      style: {
        height: '100%'
      },
      children: /*#__PURE__*/_jsx(VmWrapper, {
        title: '月度趋势分析',
        children: /*#__PURE__*/_jsx(ExceptionTrend, {
          startDate: startDate,
          endDate: endDate
        })
      })
    })]
  });
};
export default StaticInfo;